> For the complete documentation index, see [llms.txt](https://docs.scandipwa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scandipwa.com/tutorials/scandipwa-social-share/step-12-comments-for-admin-users.md).

# STEP-12 Comments for Admin Users

[**STEP-12**](https://github.com/GAkim/SocialShareGraphQl/tree/STEP-12)

{% embed url="<https://www.youtube.com/watch?v=Hunl-lH_Qwk>" %}

During The testing we figured out that in react-share 4.4.0 facebook counter is not working, also Facebook messenger is not working correctly on mobile phones, and there is no actual need for share buttons on the homepage, let’s populate backend configuration comments. Which will say that to users.

&#x20;&#x31;**.** Here is our updated **social\_share.xml**

{% tabs %}
{% tab title=" line 25 - 29" %}
{% code title="ScandiPWA/SocialShareGraphQl/etc/adminhtml/system/social\_share.xml line 25 - 29" %}

```markup
<field id="home_page" translate="label" type="select" sortOrder="4" showInDefault="1" showInWebsite="0" showInStore="0">
   <label>Display On HomePage</label>
   <comment>Not Supported.</comment>
   <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
</field>
```

{% endcode %}
{% endtab %}

{% tab title=" line 25 - 29" %}
{% code title="ScandiPWA/SocialShareGraphQl/etc/adminhtml/system/social\_share.xml line 55 - 67" %}

```markup
<field id="enable_counter" translate="label" type="select" sortOrder="2" showInDefault="1" showInWebsite="0" showInStore="0">
   <label>Enable Facebook Counter</label>
   <comment>https://www.npmjs.com/package/react-share 4.4.0 Bugged, waiting for update</comment>
   <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
</field>
```

{% endcode %}
{% endtab %}

{% tab title="line 49 - 53" %}
{% code title="ScandiPWA/SocialShareGraphQl/etc/adminhtml/system/social\_share.xml line 49 - 53" %}

```markup
<!--        Facebook Messenger-->
<group id="facebook_messenger" translate="label" type="text" sortOrder="1" showInDefault="1" showInWebsite="0" showInStore="0">
   <label>Facebook Messenger</label>
   <comment>Not Working on mobile devices waiting for Update https://github.com/nygardk/react-share/pull/357</comment>
   <field id="enable" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="0" showInStore="0">
       <label>Enable Facebook Messenger</label>
       <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
   </field>

   <field id="app_id" translate="text" type="text" sortOrder="2" showInDefault="1" showInWebsite="0" showInStore="0">
       <label>Facebook Messenger App ID</label>
   </field>
</group>
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.scandipwa.com/tutorials/scandipwa-social-share/step-12-comments-for-admin-users.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
